#!/usr/bin/env python

import xmlrpclib
import ConfigParser
import sys

username=sys.argv[1]
password=sys.argv[2]
mlimit=sys.argv[3]
wlimit=sys.argv[4]
dlimit=sys.argv[5]
slimit=sys.argv[6]
allowedlogins=sys.argv[7]
validdays=sys.argv[8]


#if not defined already, get from config file
config=ConfigParser.ConfigParser()
config.read("/etc/groovix/pacauth.conf")
myversion=config.get('pacauth','customid')
mypass=config.get('pacauth','custompw')
pacauthserver=config.get('pacauth','pacauthserver')

try:
  s = xmlrpclib.ServerProxy(pacauthserver)
  #unixname="u"+username
  unixname=username
  print "adding "+unixname+" with password  "+password
  s.addUser(myversion,mypass,unixname,password,mlimit,wlimit,dlimit,slimit,allowedlogins,validdays)
#except ZeroDivisionError:
except:
  print "could not add user at "+pacauthserver

